Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 172803 - Review Request: openssl097f - compat package to help transitioning to new openssl
Summary: Review Request: openssl097f - compat package to help transitioning to new ope...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Todd Sanders
QA Contact: David Lawrence
URL: http://www.openssl.org/
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2005-11-09 21:22 UTC by Tomas Mraz
Modified: 2007-11-30 22:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-27 07:27:42 UTC


Attachments (Terms of Use)

Description Tomas Mraz 2005-11-09 21:22:51 UTC
Spec Name or Url: http://people.redhat.com/tmraz/openssl097f/openssl.spec
SRPM Name or Url: http://people.redhat.com/tmraz/openssl097f/openssl097f-0.9.7f-1.src.rpm
Description: This is a compat package to help transitioning to new openssl-0.9.8a in FC5. It is directly created from the latest openssl-0.9.7f package from Fedora Core. The only difference is the package name and removed files which don't belong to compat packages.

Comment 1 John Ellson 2005-11-10 00:29:50 UTC
Thanks for this.   Works for me on both i386 and x86_64.  On the x86_64 I had to
update with both i386 and x86_64 rpms (as is normal).  I've now been able to 
update the balance of today's Rawhide rpms.

Comment 2 Oliver Falk 2005-11-10 12:38:47 UTC
Works fine on AlphaCore 2.0:
[root@tyskie devel]# rpm -q openssl openssl097f --queryformat
"%{name}-%{version}-%{release}.%{arch}\n"
openssl-0.9.8a-1.alpha
openssl097f-0.9.7f-1.alpha

Thanks, Tomas!

Comment 3 Aurelien Bompard 2005-11-12 14:31:13 UTC
Those compatibility packages are usually prefixed by "compat-", aren't they ?

Comment 4 Oliver Falk 2005-11-12 15:39:48 UTC
The r - usually, but within openssl, it was never done:

[root@tyskie devel]# ls -lahd openssl*
drwxr-xr-x  5 root root 4.0K Nov  9 16:24 openssl
drwxr-xr-x  4 root root 4.0K Nov  9 17:52 openssl096
drwxr-xr-x  4 root root 4.0K Nov  9 16:34 openssl096b
drwxr-xr-x  5 root root 4.0K Nov  9 21:09 openssl097a

If we start using compat-* for openssl, we would also need to change the
pkgnames for the old pkgs (/me things) and use obsolete... However, we would
force the users to download a few megs for nothing...

Comment 5 Aurelien Bompard 2005-11-12 16:06:05 UTC
Sure, if it hasn't been done before, it shouldn't be done now.

Comment 6 Kevin Fenzi 2006-02-05 20:15:01 UTC
openssl097a-0.9.7a-4.1 seems to currently be in devel/rawhide. 

Are you suggesting that it be moved to extras? 

If thats the intention, I would be happy to review it, otherwise we should 
probibly just close this bug?



Comment 7 Tomas Mraz 2006-02-06 07:48:02 UTC
No, openssl097a will stay in core for now.

I'm backing out of the review request.


Comment 8 H. Peter Anvin 2006-04-19 18:40:25 UTC
Please put openssl097f into FE if not into FC.  Not having forward binary
compatibility from FC4 to FC5 is a major headache.  See bug 188098.



Comment 9 Paul Wouters 2006-05-03 03:06:45 UTC
I found it and used it in our move from 0.9.7f to 0.9.8a to test various crypto
code. I don't mind much where it is in, but please put it in either FC or FE.
This is now making a transition to 0.9.8 unneccesarilly difficult.

Thanks for this rpm though. Google found it :)

Comment 10 Tomas Mraz 2006-05-03 06:55:04 UTC
Feel free to take over this review request and submit it yourself for Fedora
Extras. However note that the spec file will need some modifications according
to the FE Package guidelines.


Comment 11 Aurelien Bompard 2006-05-11 18:29:06 UTC
Ping ? Is someone interested in packaging this for FE ?

Comment 12 Fanny Augustin 2006-11-14 21:10:49 UTC
Reassigning  bugs from gdk (old RHN engineering Manager) to tsanders (current
RHN engineering manager)

Comment 13 Mamoru TASAKA 2007-01-27 07:27:42 UTC
Closing because of the comment by submitter (comment 10)


Note You need to log in before you can comment on or make changes to this bug.